classification
Title: [TLS] Update test keys to >= 2048bit
Type: behavior Stage: resolved
Components: SSL, Tests Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes
Priority: normal Keywords: patch

Created on 2018-08-14 08:46 by christian.heimes, last changed 2018-08-29 14:35 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8762 merged christian.heimes, 2018-08-14 08:50
PR 8763 merged miss-islington, 2018-08-14 10:54
PR 8764 merged christian.heimes, 2018-08-14 13:16
PR 8765 merged christian.heimes, 2018-08-14 13:20
PR 8994 closed christian.heimes, 2018-08-29 14:35
Messages (5)
msg323504 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-14 08:46
Downstream vendors have started to tighten security. 1024 bits RSA and DH params are no longer considered as secure. Python 3.7 and master already use 2048 bits RSA keys for some tests (bpo-32602). 3.6 and 2.7 don't have 1024bit keys. DH params and some other certs are still 1024 bits.

I'm going to update all keys and parameters to 2048.
msg323507 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-14 10:54
New changeset 88bfd0bce05043f658e50addd21366f317995e35 by Christian Heimes in branch 'master':
bpo-34399: 2048 bits RSA keys and DH params (#8762)
https://github.com/python/cpython/commit/88bfd0bce05043f658e50addd21366f317995e35
msg323524 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-14 14:52
New changeset e3228a3f44e382b6cdd2b5e001b651347013a7d3 by Christian Heimes (Miss Islington (bot)) in branch '3.7':
bpo-34399: 2048 bits RSA keys and DH params (GH-8762) (GH-8763)
https://github.com/python/cpython/commit/e3228a3f44e382b6cdd2b5e001b651347013a7d3
msg323525 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-14 14:53
New changeset 1f34aece28d143edb94ca202e661364ca394dc8c by Christian Heimes in branch '2.7':
[2.7] bpo-34399: 2048 bits RSA keys and DH params (GH-8762) (GH-8765)
https://github.com/python/cpython/commit/1f34aece28d143edb94ca202e661364ca394dc8c
msg323555 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-08-15 07:24
New changeset 5e9551b4090095fa94cc2dd4afa5bd2177aa3d09 by Christian Heimes in branch '3.6':
[3.6] bpo-34399: 2048 bits RSA keys and DH params (GH-8762) (GH-8764)
https://github.com/python/cpython/commit/5e9551b4090095fa94cc2dd4afa5bd2177aa3d09
History
Date User Action Args
2018-08-29 14:35:34christian.heimessetpull_requests: + pull_request8465
2018-08-15 07:43:41christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-08-15 07:24:53christian.heimessetmessages: + msg323555
2018-08-14 14:53:06christian.heimessetmessages: + msg323525
2018-08-14 14:52:33christian.heimessetmessages: + msg323524
2018-08-14 13:20:34christian.heimessetpull_requests: + pull_request8242
2018-08-14 13:16:02christian.heimessetpull_requests: + pull_request8241
2018-08-14 10:54:52miss-islingtonsetpull_requests: + pull_request8240
2018-08-14 10:54:26christian.heimessetmessages: + msg323507
2018-08-14 08:50:59christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request8238
2018-08-14 08:46:29christian.heimescreate